﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication283
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DataSource = GetTable();
        }

        static DataTable GetTable()
        {
            //
            // Here we create a DataTable with four columns.
            //
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            //
            // Here we add five DataRows.
            //
            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);
            return table;
        }

        private void ultraGrid1_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyCode)
            {
                case Keys.Up:
                    ultraGrid1.PerformAction(UltraGridAction.ExitEditMode, false, false);
                    ultraGrid1.PerformAction(UltraGridAction.AboveCell, false, false);
                    e.Handled = true;
                    ultraGrid1.PerformAction(UltraGridAction.EnterEditMode, false, false);
                    break;
                case Keys.Down:
                    ultraGrid1.PerformAction(UltraGridAction.ExitEditMode, false, false);
                    ultraGrid1.PerformAction(UltraGridAction.BelowCell, false, false);
                    e.Handled = true;
                    ultraGrid1.PerformAction(UltraGridAction.EnterEditMode, false, false);
                    break;
                case Keys.Right:
                    ultraGrid1.PerformAction(UltraGridAction.ExitEditMode, false, false);
                    ultraGrid1.PerformAction(UltraGridAction.NextCellByTab, false, false);
                    e.Handled = true;
                    ultraGrid1.PerformAction(UltraGridAction.EnterEditMode, false, false);
                    break;
                case Keys.Left:
                    ultraGrid1.PerformAction(UltraGridAction.ExitEditMode, false, false);
                    ultraGrid1.PerformAction(UltraGridAction.PrevCellByTab, false, false);
                    e.Handled = true;
                    ultraGrid1.PerformAction(UltraGridAction.EnterEditMode, false, false);
                    break;
            }
        }
    }
}
